---
title: Contribute
---

InvenTree is an open source project which is supported by a small group of volunteer contributors. Developing and maintaining an open source project is a lot of work, and requires a lot of devloper time, a resouce which is quite scarce.

We welcome everyone to help with InvenTree however they can!  

- [Sponsor](#sponsor)
- [Report Bugs](#report-bugs)
- [Code](#code)
- [Translate](#translate)
- [Documentation](#documentation)
- [Community](#community)

### Sponsor

If you or company use InvenTree, please consider sponsoring the project to show your support. Sponsorships help to keep this project sustainable, and buys time for the core developers to commit to the project. A recurring or one off sponsorship is a great way to help InvenTree development to continue at full steam!

- [Sponsor us on GitHub](https://github.com/sponsors/inventree)
- [Sponsor us on Patreon](https://www.patreon.com/inventree)
- [Sponsor us on Ko-fi](https://ko-fi.com/inventree)

Financial donations directly support the ongoing development of the InvenTree project. If you benefit from the InvenTree project, please consider contributing to maintain vibrant development of this software!

### Report Bugs

If you find a bug or a feature that does not work correctly, please report it on [GitHub](https://github.com/inventree/inventree/issues).
Reporting bugs is critical to improving the software. If you are able and willing, providing a fix for any outstanding issues is greatly appreciated.

### Code

InvenTree is built using [Python3](https://www.python.org/) and [Django](https://www.djangoproject.com/). Source code is available on [GitHub](https://github.com/inventree/inventree).

Contributions towards the core InvenTree code base are welcomed and encouraged; either extending current functionality, prodiving new features, or addressing outstanding issues.

### Translate

InvenTree provides a translation layer for both the web interface and mobile app. Native language translation requires effort from translators to provide multi-lingual support. If you wish to translate InvenTree to a new language (or improve an existing translation), such contributions would be greatly appreciated!.

Native language translation of the InvenTree web application is [community contributed via crowdin](https://crowdin.com/project/inventree).

_**Contributions are welcomed and encouraged!**._

To contribute to the translation effort, navigate to the [InvenTree crowdin project](https://crowdin.com/project/inventree), create a free account, and start making translations suggestions for your language of choice!

### Documentation

Documenting a large software project is a challenging and ongoing effort. If you are able to provide assistance in improving the documentation set, please consider doing so! Documentation contributions can be made on [GitHub](https://github.com/inventree/inventree-docs).

If you see any sections of the documentation that require work (i.e. denoted with "TODO") - please consider providing assistance in these sections!

## Community

New users tend to ask questions in the [issues](https://github.com/inventree/InvenTree/issues) or [discussions](https://github.com/inventree/InvenTree/discussions). Be there, answer questions or [show off](https://github.com/inventree/InvenTree/discussions/categories/show-and-tell) your projects. Together we learn new things and get inspired for our usage.

Our offical channels are:
- Twitter [@inventreedb](https://twitter.com/inventreedb)
- Reddit [r/InvenTree](https://www.reddit.com/r/InvenTree/)
